
 LinHES - Bug # 1031: MCE remote no longer works after update to 8.5.2

Status: Closed Priority: Normal
Author: cluehawk Category: Other
Created: 01/06/2019 Assignee:
Updated: 03/24/2020 Due date:
Description: After updating to LINHES 8.5.2 or installing directly from 8.5.2 media, the MCE IR remote no longer functions.

It worked in the previous version.

Associated revisions
04/10/2019 04:57 pm - brfransen
runit-scripts: remotes run: ensure default driver is used. refs #1031

History
01/06/2019 08:23 pm - brfransen
- Status changed from New to Feedback

- Target version deleted (8.5)

- Priority changed from High to Normal

What is the device id shown in lsusb of your MCE remote. Which remote profile are you using in LinHES Settings > Remotes? Is that the same profile 
you used in the previous version of LH? What version of LH did it work in before?

01/07/2019 12:07 am - cluehawk
Thanks for looking into this issue. 
Device id:045e:006d microsoft corp. eHome remote keyboard keys

This device worked on Linhes for the past 5 years. 
I confirmed it worked on the 8.4.3 install media.
Remote is set to MCE
the receiver is set to mce.
This is the profile I've always used.
LinHes has always bested all other mythtv distributions when it comes to remotes.
I support three different installations in three different homes.

01/07/2019 02:14 pm - brfransen
That device should work. R8.5.2 update does have a newer version of lirc.

Do you have a custom remote profile in home that is also called MCE?
Does irw show anything when buttons are pressed?
Is lirc running? ps aux | grep lirc

01/09/2019 02:04 am - cluehawk
No custom profile in home.
Lirc is running with the MCE profile:
  884 ?        S      0:00 /usr/bin/lircd -r -n -d /dev/remotes/mce_lirc --output /var/run/lirc/lircd
  889 ?        S      0:00 /usr/bin/irexec /etc/lircrc

but IRW shows no input when buttons are pressed. I can confirm that the remote and receiver are working in an older version.

I messed with it a bit and after unplugging the receiver and re-inserting it the arrows registered on IRW but nothing else.
after re-configuring LIRC through LinHes, none of the buttons are working.

Thanks for your help!!

03/18/2019 09:40 pm - brfransen
Unplug/plug and arrows work sound like the in kernel stuff is working. They stop working when configuring in LH because in kernel gets disabled.

What do you get from sudo @ir-keytable@

Please post contents of:
/etc/lircrc
ls -al /etc/lirc/lircd.conf.d/remote_lircd.conf

03/20/2019 01:48 am - cluehawk
Thanks for looking into this.
Here are the outputs:

sudo ir-keytable
Found /sys/class/rc/rc0/ (/dev/input/event6) with:
        Driver mceusb, table rc-rc6-mce
        Supported protocols: unknown other lirc rc-5 jvc sony nec sanyo mce-kbd rc-6 sharp xmp 
        Enabled protocols: lirc 
        Name: Media Center Ed. eHome Infrared 
        bus: 3, vendor/product: 045e:006d, version: 0x0200
        Repeat delay = 500 ms, repeat period = 125 ms

cat /etc/lircrc
include "/usr/MythVantage/templates/remotes/favorites/mce/lircrc-mceusb" 

ls -al /etc/lirc/lircd.conf.d/remote_lircd.conf
lrwxrwxrwx 1 root root 66 Jan  8 17:48 /etc/lirc/lircd.conf.d/remote_lircd.conf -> /usr/MythVantage/templates/remotes/favorites/mce/lircd.conf.mceusb

03/21/2019 02:19 pm - brfransen
Can you try using this lircd file? http://lirc.sourceforge.net/remotes/mceusb/lircd.conf.mceusb
It may be easiest for testing to create a custom remote template: http://linhes.org/projects/linhes/wiki/Remotes#Custom-Remote-Templates
Select the new user template in LinHES Settings > Remotes
Run irw and press buttons to see what buttons if any work.  The button names are different in this lircd so they may not work right in Myth right now.

If this doesn't work you will need to create a new lircd using irrecord. Something like @sudo irrecord -d /dev/remotes/mce_lirc new_lircd.conf@

04/09/2019 01:02 am - brfransen
Can you post the contents of your /etc/lirc/lirc_options.conf file?

04/09/2019 05:07 am - cluehawk
Thanks for the continued support.
I was able to get the correct output from ir-keytable -t
IRW, however, did not provide the correct output.
I have not been able to try irrecord to create a new lircd.

Here is the /etc/lirc/lirc_options.conf file:
# These are the default options to lircd, if installed as
# /etc/lirc/lirc_options.conf. See the lircd(8) and lircmd(8)
# manpages for info on the different options.
#
# Some tools including mode2 and irw uses values such as
# driver, device, plugindir and loglevel as fallback values
# in not defined elsewhere.

[lircd]
nodaemon        = False
driver          = devinput
device          = auto
output          = /var/run/lirc/lircd
pidfile         = /var/run/lirc/lircd.pid
plugindir       = /usr/lib/lirc/plugins
permission      = 666
allow-simulate  = No
repeat-max      = 600
#effective-user =
#listen         = [address:]port
#connect        = host[:port]
#loglevel       = 6
#release        = true
#release_suffix = _EVUP
#logfile        = ...
#driver-options = ...

[lircmd]
uinput          = False
nodaemon        = False

# [modinit]
# code = /usr/sbin/modprobe lirc_serial
# code1 = /usr/bin/setfacl -m g:lirc:rw /dev/uinput
# code2 = ...

# [lircd-uinput]
# add-release-events = False
# release-timeout    = 200
# release-suffix     = _EVUP

04/09/2019 12:40 pm - brfransen
Please try this and let me know if the remote works.

@sudo pacman -U http://repo.linhes.org/repo/x86_64/core-testing/runit-scripts-8.6-2-x86_64.pkg.tar.xz
sudo sv restart remotes@
Test remote.

04/10/2019 03:30 am - cluehawk
One step closer! IRW now has a proper output.
However, Mythtv will not respond. I tried key mapping in setup to see if any inputs were received, but they were not.
I did try rebooting just in case.

Thanks for your continued support with this issue.

04/10/2019 06:50 pm - brfransen
Check what LIRC controls socket in Myth is set to. In MythTV Settings > General > Remote Control

Are you still using the LinHES lircd.conf.mceusb or did you try the sourceforge one I posted above?

04/23/2019 02:57 am - cluehawk
Sorry about the long delay,
the LIRC socket in Myth is set to /var/run/lirc/lircd
I am using the lircd.conf.mceusb that you posted above.

Thanks for your assistance!

04/23/2019 11:52 am - brfransen
Go back to the LinHES lircd.conf. The one I posted above has different button names that don't agree with your lircrc which would be why IRW works 
but myth isn't responding. 

03/24/2020 12:04 pm - brfransen
- Status changed from Feedback to Closed

No feedback and works for me.
